summaryrefslogtreecommitdiffstats
path: root/laptop/.bin/setup-inputs
diff options
context:
space:
mode:
Diffstat (limited to 'laptop/.bin/setup-inputs')
-rwxr-xr-xlaptop/.bin/setup-inputs18
1 files changed, 18 insertions, 0 deletions
diff --git a/laptop/.bin/setup-inputs b/laptop/.bin/setup-inputs
new file mode 100755
index 0000000..cd1b4cf
--- /dev/null
+++ b/laptop/.bin/setup-inputs
@@ -0,0 +1,18 @@
+#!/bin/sh
+set -eu
+set -o pipefail
+
+# key bindings
+setxkbmap -option ctrl:nocaps
+setxkbmap -option compose:caps
+xmodmap "$HOME"/.Xmodmap
+"$(dirname "$0")"/numkeys on
+
+# trackpad settings
+touchpad="$(xinput list --name-only | grep Touchpad)"
+xinput set-prop "$touchpad" "libinput Accel Speed" 0.4
+xinput set-prop "$touchpad" "libinput Tapping Enabled" 1
+
+# needs to happen after xmodmap stuff
+systemctl --user restart xcape
+systemctl --user restart xbindkeys